Bug 184525 - [Win][WebKit] Implement InjectedBundleWin.cpp
Summary: [Win][WebKit] Implement InjectedBundleWin.cpp
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks: 174003
  Show dependency treegraph
 
Reported: 2018-04-11 19:40 PDT by Fujii Hironori
Modified: 2018-04-18 00:35 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.90 KB, patch)
2018-04-11 19:53 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (1.92 KB, patch)
2018-04-16 21:01 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch to land (1.93 KB, patch)
2018-04-17 18:40 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2018-04-11 19:40:59 PDT
[Win][WebKit] Implement InjectedBundleWin.cpp
Comment 1 Fujii Hironori 2018-04-11 19:53:14 PDT
Created attachment 337770 [details]
Patch
Comment 2 Konstantin Tokarev 2018-04-16 06:38:36 PDT
Comment on attachment 337770 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=337770&action=review

> Source/WebKit/WebProcess/InjectedBundle/win/InjectedBundleWin.cpp:36
> +    HMODULE lib = ::LoadLibrary(m_path.charactersWithNullTermination().data());

LoadLibrary needs wchar_t, not UChar, so you should use WTF::stringToNullTerminatedWChar here
Comment 3 Fujii Hironori 2018-04-16 21:01:20 PDT
Created attachment 338076 [details]
Patch

Thank you for the review. Addressed the review feedback.
Comment 4 Konstantin Tokarev 2018-04-17 04:14:31 PDT
Comment on attachment 338076 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=338076&action=review

> Source/WebKit/WebProcess/InjectedBundle/win/InjectedBundleWin.cpp:45
> +    (*proc)(toAPI(this), toAPI(initializationUserData));

You can write it simply as

   proc(toAPI(this), toAPI(initializationUserData));
Comment 5 Fujii Hironori 2018-04-17 18:40:46 PDT
Created attachment 338177 [details]
Patch to land

Thank you. Addressed the review feedback.
Comment 6 Fujii Hironori 2018-04-18 00:34:07 PDT
Committed r230754: <https://trac.webkit.org/changeset/230754>
Comment 7 Radar WebKit Bug Importer 2018-04-18 00:35:24 PDT
<rdar://problem/39520256>